import { type CurveFactory } from "d3";
export declare const curveTypeMapping: {
    [name: string]: CurveFactory;
};
export type RealtimeChartData = {
    date: Date;
    value: number;
};
export type RealtimeChartLineOptions = {
    color?: string;
    opacity?: number;
    lineWidth?: number;
    area?: boolean;
    areaColor?: string;
    areaOpacity?: number;
    curve?: string;
};
export type RealtimeChartGridOptions = {
    enable?: boolean;
    color?: string;
    size?: number;
    dashed?: boolean;
    opacity?: number;
    ticks?: boolean;
    tickNumber?: number;
    tickPadding?: number;
    tickFontSize?: number;
    tickFontWeight?: "normal" | "bold" | "bolder" | "lighter" | number;
    tickFontColor?: string;
    tickFontFamily?: string;
    tickFontAnchor?: "start" | "middle" | "end";
    min?: number | "auto";
    max?: number | "auto";
    tickValues?: string[];
    tickFormat?: string | ((v: string | number) => string);
};
export type RealtimeChartOptions = {
    width?: number;
    height?: number;
    margin?: {
        top?: number;
        right?: number;
        bottom?: number;
        left?: number;
    };
    fps?: number;
    timeSlots?: number;
    lines?: RealtimeChartLineOptions[];
    xGrid?: RealtimeChartGridOptions;
    yGrid?: RealtimeChartGridOptions;
    colors?: string[];
};
