type Primitive = string | number | boolean | symbol | null | undefined;
type DeepMerge<T, U> = T extends Primitive ? U : T extends Array<infer TItem> ? U extends Array<infer UItem> ? Array<DeepMerge<TItem, UItem>> : T : T extends object ? U extends object ? {
    [K in keyof T | keyof U]: K extends keyof U ? K extends keyof T ? DeepMerge<T[K], U[K]> : U[K] : K extends keyof T ? T[K] : never;
} : T : U;
type DeepMergeAll<T extends unknown[]> = T extends [infer First, ...infer Rest] ? Rest extends [] ? First : Rest extends unknown[] ? DeepMerge<First, DeepMergeAll<Rest>> : never : unknown;
export declare function mergeDeep<T extends unknown[]>(...sources: T): DeepMergeAll<T>;
export declare function hexToRgb(hex: string): string;
export {};
